> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nordiska.com/llms.txt
> Use this file to discover all available pages before exploring further.

# General onboarding with extended company types

> Initiate card onboarding process with enhanced company registration support



## OpenAPI

````yaml https://partner-card.test.public.rockerapi.dev/docs/docs.yaml post /api/v4/engagements/card/onboarding
openapi: 3.1.0
info:
  title: Card
  version: '1.0'
servers:
  - url: https://partner-card.test.public.rockerapi.dev
security: []
paths:
  /api/v4/engagements/card/onboarding:
    post:
      tags:
        - Card
      summary: General onboarding with extended company types
      description: >-
        Initiate card onboarding process with enhanced company registration
        support
      operationId: InitiateCardOnboardingV4
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/HttpCardOnboardingRequestV4'
            examples:
              CONSUMER:
                value:
                  cardType: CREDIT
                  applicant:
                    nationality: DE
                    salutation: HERR
                    firstName: Hans
                    lastName: Müller
                    phone: '+491701234567'
                    email: hans.mueller@example.com
                    dateOfBirth: '1985-07-15'
                    placeOfBirth: Berlin
                    address:
                      streetLine1: Hauptstraße 10
                      city: Berlin
                      postalCode: '10115'
                      country: DE
                    employmentType: PERMANENT
                    civilStatus: MARRIED
                    monthlyIncome:
                      currency: EUR
                      amount: 350000
                      unit: MINOR
                    housing: OWNER
                    locale: de
                  redirectUrls:
                    successUrl: https://example.com/success
                    failUrl: https://example.com/fail
                  onboardingType: CONSUMER
              BUSINESS:
                value:
                  cardType: CREDIT
                  applicant:
                    nationality: DE
                    salutation: HERR
                    firstName: Hans
                    lastName: Müller
                    phone: '+491701234567'
                    email: hans.mueller@example.com
                    dateOfBirth: '1985-07-15'
                    placeOfBirth: Berlin
                    address:
                      streetLine1: Hauptstraße 10
                      city: Berlin
                      postalCode: '10115'
                      country: DE
                    employmentType: PERMANENT
                    civilStatus: MARRIED
                    monthlyIncome:
                      currency: EUR
                      amount: 350000
                      unit: MINOR
                    housing: OWNER
                    locale: de
                  company:
                    name: Musterfirma GmbH
                    city: Berlin
                    registrationInfo:
                      registrationNumber: HRA 123456
                      countryCode: DE
                      businessType: REGISTERED_MERCHANT
                  redirectUrls:
                    successUrl: https://example.com/success
                    failUrl: https://example.com/fail
                  onboardingType: BUSINESS
              BUSINESS_UNREGISTERED_CIVIL_PARTNERSHIP:
                value:
                  cardType: CREDIT
                  applicant:
                    nationality: DE
                    salutation: HERR
                    firstName: Hans
                    lastName: Müller
                    phone: '+491701234567'
                    email: hans.mueller@example.com
                    dateOfBirth: '1985-07-15'
                    placeOfBirth: Berlin
                    address:
                      streetLine1: Hauptstraße 10
                      city: Berlin
                      postalCode: '10115'
                      country: DE
                    employmentType: PERMANENT
                    civilStatus: MARRIED
                    monthlyIncome:
                      currency: EUR
                      amount: 350000
                      unit: MINOR
                    housing: OWNER
                    locale: de
                  company:
                    name: Musterfirma GbR
                    city: Berlin
                    registrationInfo:
                      taxNumber: '2123348322331'
                      registrationDate: '2024-09-25'
                      mainActivity:
                        code: A
                        classification: NACE_REV_2_1
                      coSigner:
                        firstName: Julia
                        lastName: Muster
                        dateOfBirth: '1989-10-11'
                      countryCode: DE
                      businessType: UNREGISTERED_CIVIL_LAW_PARTNERSHIP
                  redirectUrls:
                    successUrl: https://example.com/success
                    failUrl: https://example.com/fail
                  onboardingType: BUSINESS
              SUPPLEMENTARY:
                value:
                  engagementId: 8b9fd836-9d01-4c91-b0e0-17dfc26944e9
                  email: julia.mueller@example.com
                  relationship: SPOUSE
                  redirectUrls:
                    successUrl: https://example.com/success
                    failUrl: https://example.com/fail
                  onboardingType: SUPPLEMENTARY
        required: true
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HttpInitiateCardOnboardingResponse'
        '400':
          description: 'Invalid value for: body'
          content:
            text/plain:
              schema:
                type: string
        default:
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HttpErrorBodyResponse'
      security:
        - httpAuth: []
components:
  schemas:
    HttpCardOnboardingRequestV4:
      title: HttpCardOnboardingRequestV4
      oneOf:
        - $ref: '#/components/schemas/Business'
        - $ref: '#/components/schemas/Consumer'
        - $ref: '#/components/schemas/Corporate'
        - $ref: '#/components/schemas/Supplementary'
      discriminator:
        propertyName: onboardingType
        mapping:
          BUSINESS:
            $ref: '#/components/schemas/Business'
          CONSUMER:
            $ref: '#/components/schemas/Consumer'
          CORPORATE:
            $ref: '#/components/schemas/Corporate'
          SUPPLEMENTARY:
            $ref: '#/components/schemas/Supplementary'
    HttpInitiateCardOnboardingResponse:
      title: HttpInitiateCardOnboardingResponse
      type: object
      required:
        - id
        - status
        - createdAt
      properties:
        id:
          type: string
          format: uuid
        status:
          $ref: '#/components/schemas/HttpOnboardingStatus'
        additionalInformation:
          $ref: '#/components/schemas/HttpAdditionalInformation'
        createdAt:
          type: string
          format: date-time
    HttpErrorBodyResponse:
      title: HttpErrorBodyResponse
      type: object
      required:
        - code
        - message
      properties:
        code:
          type: string
        message:
          type: string
    Business:
      title: Business
      type: object
      required:
        - cardType
        - applicant
        - company
        - redirectUrls
        - onboardingType
      properties:
        cardType:
          $ref: '#/components/schemas/HttpCardType'
        applicant:
          $ref: '#/components/schemas/HttpApplicantV2'
        company:
          $ref: '#/components/schemas/HttpCompanyV3'
        redirectUrls:
          $ref: '#/components/schemas/HttpRedirectUrls'
        metadata:
          $ref: '#/components/schemas/Metadata'
        onboardingType:
          type: string
          const: BUSINESS
    Consumer:
      title: Consumer
      type: object
      required:
        - cardType
        - applicant
        - redirectUrls
        - onboardingType
      properties:
        cardType:
          $ref: '#/components/schemas/HttpCardType'
        applicant:
          $ref: '#/components/schemas/HttpApplicantV2'
        redirectUrls:
          $ref: '#/components/schemas/HttpRedirectUrls'
        metadata:
          $ref: '#/components/schemas/Metadata'
        onboardingType:
          type: string
          const: CONSUMER
    Corporate:
      title: Corporate
      type: object
      required:
        - cardType
        - applicant
        - company
        - redirectUrls
        - onboardingType
      properties:
        cardType:
          $ref: '#/components/schemas/HttpCardType'
        applicant:
          $ref: '#/components/schemas/HttpCorporateApplicant'
        company:
          $ref: '#/components/schemas/HttpCorporateCompany'
        redirectUrls:
          $ref: '#/components/schemas/HttpRedirectUrls'
        metadata:
          $ref: '#/components/schemas/Metadata'
        onboardingType:
          type: string
          const: CORPORATE
    Supplementary:
      title: Supplementary
      type: object
      required:
        - engagementId
        - email
        - relationship
        - redirectUrls
        - onboardingType
      properties:
        engagementId:
          type: string
          format: uuid
        email:
          description: Email address
          type: string
        relationship:
          $ref: '#/components/schemas/HttpSupplementaryRelationship'
        redirectUrls:
          $ref: '#/components/schemas/HttpRedirectUrls'
        onboardingType:
          type: string
          const: SUPPLEMENTARY
    HttpOnboardingStatus:
      title: HttpOnboardingStatus
      type: string
      enum:
        - PROCESSING
        - AWAITING_DOCUMENTS
        - AWAITING_SIGNING
        - AWAITING_DOCUMENT_REVIEW
        - AWAITING_CARD_CREATION
        - COMPLETED
        - REJECTED
        - FAILED
    HttpAdditionalInformation:
      title: HttpAdditionalInformation
      oneOf:
        - $ref: '#/components/schemas/CompletedOnboardingInformation'
        - $ref: '#/components/schemas/CreditInformation'
        - $ref: '#/components/schemas/FailureInformation'
        - $ref: '#/components/schemas/RejectInformation'
        - $ref: '#/components/schemas/SigningInformation'
    HttpCardType:
      title: HttpCardType
      type: string
      enum:
        - CREDIT
        - DEBIT
        - PREPAID
    HttpApplicantV2:
      title: HttpApplicantV2
      type: object
      required:
        - nationality
        - salutation
        - firstName
        - lastName
        - phone
        - email
        - dateOfBirth
        - placeOfBirth
        - address
        - employmentType
        - civilStatus
        - monthlyIncome
        - housing
        - locale
      properties:
        nationality:
          description: ISO 3166-1 alpha-2 country code
          type: string
        salutation:
          $ref: '#/components/schemas/HttpSalutation'
        firstName:
          type: string
        lastName:
          type: string
        phone:
          description: E.164 format.
          type: string
        email:
          description: Email address
          type: string
        dateOfBirth:
          description: Date of birth (ISO 8601 YYYY-MM-DD)
          type: string
        placeOfBirth:
          type: string
        address:
          $ref: '#/components/schemas/HttpOnboardingAddress'
        employmentType:
          $ref: '#/components/schemas/HttpEmploymentType'
        civilStatus:
          $ref: '#/components/schemas/HttpCivilStatus'
        monthlyIncome:
          $ref: '#/components/schemas/MoneyMinor'
        housing:
          $ref: '#/components/schemas/HttpHousing'
        externalCustomerId:
          type: string
        locale:
          $ref: '#/components/schemas/HttpLanguage'
          description: ISO 639-1 language code (de, en)
    HttpCompanyV3:
      title: HttpCompanyV3
      type: object
      required:
        - name
        - city
        - registrationInfo
      properties:
        name:
          type: string
        city:
          type: string
        registrationInfo:
          $ref: '#/components/schemas/HttpRegistrationInfoV2'
    HttpRedirectUrls:
      title: HttpRedirectUrls
      type: object
      required:
        - successUrl
        - failUrl
      properties:
        successUrl:
          examples:
            - https://example.com
          type: string
        failUrl:
          examples:
            - https://example.com
          type: string
    Metadata:
      title: Metadata
      description: >-
        Key-value map. You can use metadata to store additional, structured
        information on an object. Max key length: 48 chars. Keys must not start
        with a digit. Max value length: 256 chars.
      type: object
      additionalProperties:
        description: Metadata value
        type: string
    HttpCorporateApplicant:
      title: HttpCorporateApplicant
      type: object
      required:
        - salutation
        - firstName
        - lastName
        - phone
        - email
        - dateOfBirth
        - placeOfBirth
        - locale
        - address
      properties:
        salutation:
          $ref: '#/components/schemas/HttpSalutation'
        firstName:
          type: string
        lastName:
          type: string
        phone:
          description: E.164 format.
          type: string
        email:
          description: Email address
          type: string
        dateOfBirth:
          description: Date of birth (ISO 8601 YYYY-MM-DD)
          type: string
        placeOfBirth:
          type: string
        locale:
          $ref: '#/components/schemas/HttpLanguage'
          description: ISO 639-1 language code (de, en)
        address:
          $ref: '#/components/schemas/HttpAddress'
    HttpCorporateCompany:
      title: HttpCorporateCompany
      type: object
      required:
        - name
        - city
        - registrationNumber
        - companyType
      properties:
        name:
          type: string
        city:
          type: string
        registrationNumber:
          type: string
        companyType:
          $ref: '#/components/schemas/HttpCorporateCompanyType'
    HttpSupplementaryRelationship:
      title: HttpSupplementaryRelationship
      description: Relationship to the primary card holder
      type: string
      enum:
        - SPOUSE
        - ADULT_CHILD
        - PARENT
    CompletedOnboardingInformation:
      title: CompletedOnboardingInformation
      type: object
      required:
        - creditAssessment
        - engagementId
      properties:
        creditAssessment:
          $ref: '#/components/schemas/HttpCreditAssessment'
        engagementId:
          type: string
          format: uuid
    CreditInformation:
      title: CreditInformation
      type: object
      required:
        - creditAssessment
      properties:
        creditAssessment:
          $ref: '#/components/schemas/HttpCreditAssessment'
    FailureInformation:
      title: FailureInformation
      type: object
      required:
        - failureCode
      properties:
        failureCode:
          $ref: '#/components/schemas/HttpFailureCode'
    RejectInformation:
      title: RejectInformation
      type: object
      required:
        - rejectReason
      properties:
        rejectReason:
          $ref: '#/components/schemas/HttpRejectReason'
    SigningInformation:
      title: SigningInformation
      type: object
      required:
        - signingUrl
      properties:
        signingUrl:
          examples:
            - https://example.com
          type: string
    HttpSalutation:
      title: HttpSalutation
      type: string
      enum:
        - HERR
        - FRAU
        - MR
        - MRS
        - MS
        - MISS
    HttpOnboardingAddress:
      title: HttpOnboardingAddress
      type: object
      required:
        - streetLine1
        - city
        - postalCode
        - country
      properties:
        streetLine1:
          type: string
        streetLine2:
          type: string
        city:
          type: string
        postalCode:
          type: string
        country:
          $ref: '#/components/schemas/HttpOnboardingCountryCode'
          description: ISO 3166-1 alpha-2 country code
    HttpEmploymentType:
      title: HttpEmploymentType
      type: string
      enum:
        - PERMANENT
        - SOLE_PROPRIETOR
        - RETIRED
        - STUDENT
        - HOMEMAKER
        - OTHER
    HttpCivilStatus:
      title: HttpCivilStatus
      type: string
      enum:
        - SINGLE
        - MARRIED
        - COHABITANT
        - DIVORCED
        - WIDOWED
    MoneyMinor:
      title: MoneyMinor
      description: Money object represented in the smallest currency unit
      type: object
      required:
        - amount
        - currency
        - unit
      properties:
        amount:
          type: integer
          format: int64
        currency:
          description: Currency represented with a ISO 4217 currency code
          examples:
            - EUR
          type: string
        unit:
          examples:
            - MINOR
          type: string
    HttpHousing:
      title: HttpHousing
      type: string
      enum:
        - RENTING
        - OWNER
        - OTHER
    HttpLanguage:
      title: HttpLanguage
      type: string
      enum:
        - de
        - en
    HttpRegistrationInfoV2:
      title: HttpRegistrationInfoV2
      oneOf:
        - $ref: '#/components/schemas/Freelancer'
        - $ref: '#/components/schemas/GeneralPartnership'
        - $ref: '#/components/schemas/LimitedPartnership'
        - $ref: '#/components/schemas/Partnership'
        - $ref: '#/components/schemas/RegisteredMerchant'
        - $ref: '#/components/schemas/SmallBusiness'
        - $ref: '#/components/schemas/UnregisteredCivilLawPartnership'
      discriminator:
        propertyName: businessType
        mapping:
          FREELANCER:
            $ref: '#/components/schemas/Freelancer'
          GENERAL_PARTNERSHIP:
            $ref: '#/components/schemas/GeneralPartnership'
          LIMITED_PARTNERSHIP:
            $ref: '#/components/schemas/LimitedPartnership'
          PARTNERSHIP:
            $ref: '#/components/schemas/Partnership'
          REGISTERED_MERCHANT:
            $ref: '#/components/schemas/RegisteredMerchant'
          SMALL_BUSINESS:
            $ref: '#/components/schemas/SmallBusiness'
          UNREGISTERED_CIVIL_LAW_PARTNERSHIP:
            $ref: '#/components/schemas/UnregisteredCivilLawPartnership'
    HttpAddress:
      title: HttpAddress
      type: object
      required:
        - streetLine1
        - city
        - postalCode
        - country
      properties:
        streetLine1:
          type: string
        streetLine2:
          type: string
        city:
          type: string
        postalCode:
          type: string
        country:
          description: ISO 3166-1 alpha-2 country code
          type: string
    HttpCorporateCompanyType:
      title: HttpCorporateCompanyType
      description: Corporate company type
      type: string
      enum:
        - ENTREPRENEURIAL_COMPANY
        - LIMITED_COMPANY
        - STOCK_CORPORATION
        - EUROPEAN_COMPANY
        - COOPERATIVE
        - PARTNERSHIP_LIMITED_BY_SHARES
        - CORPORATE_LIMITED_PARTNERSHIP
    HttpCreditAssessment:
      title: HttpCreditAssessment
      type: object
      required:
        - approvedLimit
        - approvedAt
        - validUntil
      properties:
        approvedLimit:
          description: Money object represented in the smallest currency unit
          type: object
          required:
            - amount
            - currency
            - unit
          properties:
            amount:
              type: integer
              format: int64
            currency:
              type: string
            unit:
              type: string
        approvedAt:
          type: string
          format: date-time
        validUntil:
          type: string
          format: date-time
    HttpFailureCode:
      title: HttpFailureCode
      type: string
      enum:
        - INTERNAL_ERROR
        - ADDRESS_MISMATCH
        - NAME_MISMATCH
        - ID_VERIFICATION_FAILED
        - TIMEOUT
    HttpRejectReason:
      title: HttpRejectReason
      type: string
      enum:
        - KYC_DENIAL
        - KYB_DENIAL
        - CREDIT_SCORING_DENIAL
        - UNAUTHORIZED_SIGNATORY
        - INVALID_DOCUMENTS
    HttpOnboardingCountryCode:
      title: HttpOnboardingCountryCode
      type: string
      enum:
        - DE
    Freelancer:
      title: Freelancer
      type: object
      required:
        - taxNumber
        - registrationDate
        - mainActivity
        - countryCode
        - businessType
      properties:
        taxNumber:
          type: string
        registrationDate:
          description: ISO 8601 (YYYY-MM-DD)
          type: string
        mainActivity:
          $ref: '#/components/schemas/HttpBusinessActivity'
        countryCode:
          $ref: '#/components/schemas/HttpOnboardingCountryCode'
        businessType:
          type: string
          const: FREELANCER
    GeneralPartnership:
      title: GeneralPartnership
      type: object
      required:
        - registrationNumber
        - countryCode
        - businessType
      properties:
        registrationNumber:
          type: string
        countryCode:
          $ref: '#/components/schemas/HttpOnboardingCountryCode'
        businessType:
          type: string
          const: GENERAL_PARTNERSHIP
    LimitedPartnership:
      title: LimitedPartnership
      type: object
      required:
        - registrationNumber
        - countryCode
        - businessType
      properties:
        registrationNumber:
          type: string
        countryCode:
          $ref: '#/components/schemas/HttpOnboardingCountryCode'
        businessType:
          type: string
          const: LIMITED_PARTNERSHIP
    Partnership:
      title: Partnership
      type: object
      required:
        - registrationNumber
        - countryCode
        - businessType
      properties:
        registrationNumber:
          type: string
        countryCode:
          $ref: '#/components/schemas/HttpOnboardingCountryCode'
        businessType:
          type: string
          const: PARTNERSHIP
    RegisteredMerchant:
      title: RegisteredMerchant
      type: object
      required:
        - registrationNumber
        - countryCode
        - businessType
      properties:
        registrationNumber:
          type: string
        countryCode:
          $ref: '#/components/schemas/HttpOnboardingCountryCode'
        businessType:
          type: string
          const: REGISTERED_MERCHANT
    SmallBusiness:
      title: SmallBusiness
      type: object
      required:
        - taxNumber
        - registrationDate
        - mainActivity
        - countryCode
        - businessType
      properties:
        taxNumber:
          type: string
        registrationDate:
          description: ISO 8601 (YYYY-MM-DD)
          type: string
        mainActivity:
          $ref: '#/components/schemas/HttpBusinessActivity'
        countryCode:
          $ref: '#/components/schemas/HttpOnboardingCountryCode'
        businessType:
          type: string
          const: SMALL_BUSINESS
    UnregisteredCivilLawPartnership:
      title: UnregisteredCivilLawPartnership
      type: object
      required:
        - taxNumber
        - registrationDate
        - mainActivity
        - countryCode
        - businessType
      properties:
        taxNumber:
          type: string
        registrationDate:
          description: ISO 8601 (YYYY-MM-DD)
          type: string
        mainActivity:
          $ref: '#/components/schemas/HttpBusinessActivity'
        coSigner:
          $ref: '#/components/schemas/HttpCoSigner'
        countryCode:
          $ref: '#/components/schemas/HttpOnboardingCountryCode'
        businessType:
          type: string
          const: UNREGISTERED_CIVIL_LAW_PARTNERSHIP
    HttpBusinessActivity:
      title: HttpBusinessActivity
      type: object
      required:
        - code
        - classification
      properties:
        code:
          description: Nace 2.1 section code
          type: string
          enum:
            - A
            - B
            - C
            - D
            - E
            - F
            - G
            - H
            - I
            - J
            - K
            - L
            - M
            - 'N'
            - O
            - P
            - Q
            - R
            - S
            - T
            - U
            - V
        classification:
          $ref: '#/components/schemas/NACE_REV_2_1'
    HttpCoSigner:
      title: HttpCoSigner
      type: object
      required:
        - firstName
        - lastName
        - dateOfBirth
      properties:
        firstName:
          type: string
        lastName:
          type: string
        dateOfBirth:
          description: Date of birth (ISO 8601 YYYY-MM-DD)
          type: string
    NACE_REV_2_1:
      title: NACE_REV_2_1
      type: string
      enum:
        - NACE_REV_2_1
  securitySchemes:
    httpAuth:
      type: http
      scheme: basic

````